VideoOutputPortListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hardware.device
Interface VideoOutputPortListener

All Superinterfaces:
  EventListener

    public interface VideoOutputPortListener

extends EventListener

The callback interface to be implemented by application classes that wish to receive notification of changes to the status of a `VideoOutputPort`.

Author:
  Aaron Kamienski

Method Summary
`void` | `configurationChanged(VideoOutputPort source, VideoOutputConfiguration oldConfig, VideoOutputConfiguration newConfig)` Method to be invoked when the configuration of a `VideoOutputPort` changes.
`void` | `connectionStatusChanged(VideoOutputPort source, boolean status)` Method to be invoked when a display device is connected or disconnected.
`void` | `enabledStatusChanged(VideoOutputPort source, boolean status)` Method to be invoked when the `VideoOutputPort` is enabled or disabled.

Method Detail

### connectionStatusChanged

    void connectionStatusChanged(VideoOutputPort source,
                                 boolean status)

  Method to be invoked when a display device is connected or disconnected.

  Note that this method will not be invoked where such information cannot be known by the Host device.

  Parameters:
    `source` - the `VideoOutputPort` whose status has changed
    `status` - `true` when a display device is connected; `false` when a display device is disconnected
  See Also:
    `VideoOutputSettings.isDisplayConnected()`

### enabledStatusChanged

    void enabledStatusChanged(VideoOutputPort source,
                              boolean status)

  Method to be invoked when the `VideoOutputPort` is enabled or disabled.

  Parameters:
    `source` - the `VideoOutputPort` whose status has changed
    `status` - `true` when the video output port is enabled; `false` when the video output port is disabled
  See Also:
    `VideoOutputPort.enable()`, `VideoOutputPort.disable()`, `VideoOutputPort.status()`

### configurationChanged

    void configurationChanged(VideoOutputPort source,
                              VideoOutputConfiguration oldConfig,
                              VideoOutputConfiguration newConfig)

  Method to be invoked when the configuration of a `VideoOutputPort` changes.

  Parameters:
    `source` - the `VideoOutputPort` whose status has changed
    `oldConfig` - the previous configuration
    `newConfig` - the new configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD